bloatTests and leakTests report lots of "JavaScript error: , line 0: nothing active on context"

VERIFIED DUPLICATE of bug 752250

Status

MailNews Core
Testing Infrastructure
VERIFIED DUPLICATE of bug 752250
6 years ago
6 years ago

People

(Reporter: sgautherie, Unassigned)

Tracking

({regression})

Trunk
regression

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

6 years ago
Thunderbird 15a1:
https://tbpl.mozilla.org/php/getParsedLog.php?id=11643175&tree=Thunderbird-Trunk&full=1
TB Linux x86-64 comm-central leak test build on 2012-05-10 06:18:26 PDT for push 7715bb3d4e2d


SeaMonkey 2.12a1:
https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=d8840d093e57
https://tbpl.mozilla.org/php/getParsedLog.php?id=11613538&tree=Thunderbird-Try&full=1
TB WINNT 5.2 try-comm-central leak test build on 2012-05-09 09:55:38 PDT for push d8840d093e57
{
INFO | runtest.py | Running bloatTests in e:\builds\moz2_slave\tb-try-comm-cen-w32-dbg\build\objdir-tb : 
INFO | runtest.py |  e:\builds\moz2_slave\tb-try-comm-cen-w32-dbg\build\objdir-tb\mozilla\dist\bin\seamonkey ['-no-remote', '-profile', 'e:\\builds\\moz2_slave\\tb-try-comm-cen-w32-dbg\\build\\objdir-tb\\mozilla\\dist\\..\\_tests\\mailbloat\\leakprofile', '-mail']
[...]
JavaScript error: , line 0: nothing active on context
[...]
}

I have no idea what is causing these errors.
I didn't look at older logs to try and find when that started.
(Reporter)

Comment 1

6 years ago
Ftr,
http://mxr.mozilla.org/comm-central/search?string=JSMSG_INACTIVE&case=1
{
/js/src/js.msg
    * line 88 -- MSG_DEF(JSMSG_INACTIVE, 2, 0, JSEXN_INTERNALERR, "nothing active on context")
/js/src/jsinterp.cpp
    * line 280 -- JS_ReportErrorNumber(cx, js_GetErrorMessage, NULL, JSMSG_INACTIVE);
/js/src/jsobj.cpp
    * line 122 -- JS_ReportErrorNumber(cx, js_GetErrorMessage, NULL, JSMSG_INACTIVE);
}
(Reporter)

Comment 2

6 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #0)
> I didn't look at older logs to try and find when that started.

https://tbpl.mozilla.org/php/getParsedLog.php?id=11547348&tree=Thunderbird-Beta&full=1
TB WINNT 5.2 comm-beta leak test build on 2012-05-07 14:13:06 PDT for push 480243a31c6c
+
https://tbpl.mozilla.org/php/getParsedLog.php?id=11646551&tree=Thunderbird-Aurora&full=1
TB WINNT 5.2 comm-aurora leak test build on 2012-05-10 06:52:16 PDT for push af5a7be911d1

TB 13 and 14 are unaffected.
tracking-thunderbird15: --- → ?
Keywords: regression
(Reporter)

Comment 3

6 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #0)
> I have no idea what is causing these errors.

https://tbpl.mozilla.org/php/getParsedLog.php?id=11430119&tree=Thunderbird-Trunk&full=1
TB Linux x86-64 comm-central leak test build on 2012-05-03 07:26:19 PDT for push edb125fb244c
moz: b4d2343fff9d

Hadn't regressed yet.

https://tbpl.mozilla.org/php/getParsedLog.php?id=11479339&tree=Thunderbird-Trunk&full=1
TB WINNT 5.2 comm-central leak test build on 2012-05-04 11:27:53 PDT for push bb7825549f3d
moz: 032d43b1770f

Already regressed.

Guess: CPG?
Blocks: 650353
I seem to recall something about this on mozilla-central and then it was fixed?  I might be totally wrong, but I thought it was the unmark-gray patches which landed about the same time.  Do you remember Steve?
Sorry, I messed up the review request. I just landed this on inbound.
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 752250
(Reporter)

Comment 6

6 years ago
V.Duplicate
Status: RESOLVED → VERIFIED
tracking-thunderbird15: ? → ---
You need to log in before you can comment on or make changes to this bug.